# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeSurfaceOfRevolution Class Reference

This class implements the mapping between class
SurfaceOfRevolution from Geom and the class
SurfaceOfRevolution from StepGeom which describes a
surface_of_revolution from Prostep
.

`#include <GeomToStep_MakeSurfaceOfRevolution.hxx>`

Inheritance diagram for GeomToStep_MakeSurfaceOfRevolution:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeSurfaceOfRevolution (const Handle(Geom_SurfaceOfRevolution)&RevSurf)
Standard_EXPORT const Handle_StepGeom_SurfaceOfRevolution & | Value () const

## Private Attributes

Handle_StepGeom_SurfaceOfRevolution | theSurfaceOfRevolution

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeSurfaceOfRevolution::GeomToStep_MakeSurfaceOfRevolution | ( | const Handle(Geom_SurfaceOfRevolution)& | RevSurf | ) |

## Member Function Documentation

void GeomToStep_MakeSurfaceOfRevolution::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSurfaceOfRevolution::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSurfaceOfRevolution::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_SurfaceOfRevolution& GeomToStep_MakeSurfaceOfRevolution::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_SurfaceOfRevolution GeomToStep_MakeSurfaceOfRevolution::theSurfaceOfRevolution `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeSurfaceOfRevolution.hxx